#!/bin/sh
#  Licensed Materials - Property of IBM
#  5724-M24
#  Copyright IBM Corporation 2014, 2016. All Rights Reserved.
#  US Government Users Restricted Rights- Use, duplication or disclosure
#  restricted by GSA ADP Schedule Contract with IBM Corp.
#

CUR_DIR=`pwd`
SH_R_DIR=`dirname ${0}`
cd "$SH_R_DIR/../../../"
export WAS_HOME=`pwd`

usage () {
  echo  "Usage:"
  echo  "MonitorModelMigration -profileName <database type> -modelDir <model_location> -user <admin_user> -password <admin_password> -clusterName <clusterName> | -nodeName <node_name> -serverName <server_name>"
  echo  ""
  echo  "where:"
  echo  ""
  echo  "-profileName:"
  echo  "     Dmgr profile name of source cell"
  echo  "" 
  echo  "-modelDir:"
  echo  "     The directory where monitor model application would be read"
  echo  ""
  cho  "-user:"
  echo  "     User name used to connect to Dmgr process"
  echo  "" 
  echo  "-password:"
  echo  "     Password used to connect to Dmgr process"
  echo  ""
  echo  "-clusterName:"
  echo  "    The value is cluster name where you want to deploy the monitor models"
  echo  ""
  echo  "-nodeName:"
  echo  "    The value is node name where you want to deploy the monitor models"
  echo  "" 
  echo  "-serverName:"
  echo  "    The value is server name where you want to deploy the monitor models"
  echo  ""  
  exit 1
 }
 
if [ $# -gt 12 ]; then
  usage
fi

while [ $# -gt 0 ]; do
  case $1 in
    -actionType) actionType=$2; shift; shift;;
    -profileName) profileName=$2; shift; shift;;
    -modelDir) modelDir=$2; shift; shift;;
    -clusterName) cluster=$2; shift; shift;;        
    -nodeName) node=$2; shift; shift;;
    -serverName) server=$2; shift; shift;;
    -user) user=$2; shift; shift;;
    -password) password=$2; shift; shift;;
    -h) usage;;
    *) usage;;
  esac;
done

"$WAS_HOME/bin/wsadmin.sh" -conntype SOAP -profileName $profileName -username $user -password $password -javaoption -Xmx2048m -wsadmin_classpath "$WAS_HOME/plugins/com.ibm.wbimonitor.lifecycle.spi.jar:$WAS_HOME/plugins/com.ibm.wbimonitor.lifecycle.jar:$WAS_HOME/plugins/com.ibm.wbimonitor.persistence.jar:$WAS_HOME/plugins/com.ibm.wbimonitor.monresources_10.0.0.v201401011700.jar:$WAS_HOME/plugins/com.ibm.wbimonitor.util.jar:$WAS_HOME/plugins/com.ibm.ws.wccm.jar:$WAS_HOME/plugins/com.ibm.ws.admin.services.jar:$WAS_HOME/plugins/com.ibm.bpm.config.jar" -lang jython -f "$WAS_HOME"/scripts.wbm/migration/ModelMigration/MonitorModelMigration.py -migrate $modelDir $cluster $node $server
